Genivia - saml1__AttributeType Struct Reference

|  | Home | Documentation | saml1__AttributeType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__AttributeType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":AttributeType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:1.0:assertion":AttributeDesignatorType. More...

`#include <saml1.h>`

## Public Attributes
char * | AttributeName
char * | AttributeNamespace
| Attribute "AttributeNamespace" of type xs:anyURI. More...
int | __sizeAttributeValue
| Size of the dynamic array of values of type _XML* is 1..unbounded. More...
_XML * | saml1__AttributeValue
| Array _XML* of size 1..unbounded. More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":AttributeType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:1.0:assertion":AttributeDesignatorType.

Note
  struct saml1__AttributeType operations:
  - saml1__AttributeType* soap_new_saml1__AttributeType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__AttributeType(struct soap*, saml1__AttributeType*) default initialize members
  - int soap_read_saml1__AttributeType(struct soap*, saml1__AttributeType*) deserialize from a source
  - int soap_write_saml1__AttributeType(struct soap*, saml1__AttributeType*) serialize to a sink
  - saml1__AttributeType* soap_dup_saml1__AttributeType(struct soap*, saml1__AttributeType* dst, saml1__AttributeType <em>src) returns deep copy of saml1__AttributeType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__AttributeType(saml1__AttributeType) deep deletes saml1__AttributeType data members, use only on dst after soap_dup_saml1__AttributeType(NULL, saml1__AttributeType *dst, saml1__AttributeType *src) (use soapcpp2 -Ed)

## Member Data Documentation

int saml1__AttributeType::__sizeAttributeValue

Size of the dynamic array of values of type _XML* is 1..unbounded.

char* saml1__AttributeType::AttributeName

INHERITED FROM saml1__AttributeDesignatorType: Attribute "AttributeName" of type xs:string. Required attribute.

char* saml1__AttributeType::AttributeNamespace

Attribute "AttributeNamespace" of type xs:anyURI.

Required attribute.

_XML* saml1__AttributeType::saml1__AttributeValue

Array _XML* of size 1..unbounded.

Multiple elements.

The documentation for this struct was generated from the following file:

- saml1.h